#import <UIKit/UIKit.h>

#import <SDWebImage/SDAnimatedImageView+WebCache.h>
#import <SDWebImage/SDWebImageDownloader.h>

#import <React/RCTComponent.h>
#import <React/RCTResizeMode.h>

#import "RapidImageSource.h"

@interface RapidImageView : SDAnimatedImageView

@property (nonatomic, copy) RCTDirectEventBlock onRapidImageLoadStart;
@property (nonatomic, copy) RCTDirectEventBlock onRapidImageProgress;
@property (nonatomic, copy) RCTDirectEventBlock onRapidImageError;
@property (nonatomic, copy) RCTDirectEventBlock onRapidImageLoad;
@property (nonatomic, copy) RCTDirectEventBlock onRapidImageLoadEnd;
@property (nonatomic, assign) RCTResizeMode resizeMode;
@property (nonatomic, strong) RapidImageSource *source;
@property (nonatomic, strong) UIColor *imageColor;

@end

