require 'json'

Pod::Spec.new do |s|
  package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

  s.name          = "react-native-rapid-image"
  s.version       = package['version']
  s.summary       = package['description']
  s.authors       = { "Agastya Darma" => "gedeagas22@gmail.com" }
  s.homepage      = "https://github.com/gedeagas/react-native-rapid-image#readme"
  s.license       = "MIT"
  s.platforms     = { :ios => "8.0", :tvos => "9.0" }
  s.framework     = 'UIKit'
  s.requires_arc  = true
  s.source        = { :git => "https://github.com/gedeagas/react-native-rapid-image.git", :tag => "v#{s.version}" }
  s.source_files  = "ios/**/*.{h,m}"

  s.dependency 'React-Core'
  s.dependency 'SDWebImage', '~> 5.13.1'
  s.dependency 'SDWebImageWebPCoder', '~> 0.9.0'
end
